Subject: ERT commands that aren't in the info

From: Douglas Lewan <[email-masked]>
Date: Fri, 12 Jun 2020 12:19:45 -0400

The following ERT commands do not appear in the info doumentation for 
ERT and should.

Most would be appropriate in the section "Running test interactively". 
Those commands with associated keys are mentioned in ert-results-mode, 
but, still, should appear in the info.
The command M-x ert-delete-all-tests is especially useful for creating a 
clean slate, but it is not mentioned at all.

ert-delete-all-tests
ert-delete-test (key D)
ert-describe-test
ert-find-test-other-window
ert-results-describe-test-at-point (key h)
ert-results-jump-between-summary-and-result (key j)
ert-results-next-test (key n)
ert-results-pop-to-timings (key T)
ert-results-previous-test (key p)
ert-results-rerun-all-tests (key R)
ert-run-tests-interactively

It would also be worth mentioning these commands defined elsewhere but 
with an interactive UI in ert-results-mode

describe-mode (key ?)
revert-buffer (key g)
quit-window (key q)

I've verified this looking through the texinfo source for versions 24.5 
and 26.3.

I'd be happy to work on text for this if that's appropriate.

-- 
,Doug
[email-masked]
(908) 720 7908

If this is what winning looks like, I'd hate to see what losing is.